## dbus-python 1.2.18

=== debian/changelog ===
dbus-python (1.2.18-3build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 18:50:41 +0100

dbus-python (1.2.18-3) unstable; urgency=medium

  * Don't do a separate build for python3.x-dbg (Closes: #994299)
  * Update lintian overrides
  * d/rules: Don't let debhelper >= 13.4 make test data executable
  * Standards-Version: 4.6.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Sep 2021 16:46:27 +0100

dbus-python (1.2.18-2) unstable; urgency=medium

  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 15 Aug 2021 10:48:49 +0100

dbus-python (1.2.18-1) experimental; urgency=medium

  * New upstream release
  * Update Lintian overrides
  * Use recommended debhelper compat level 13

 -- Simon McVittie <smcv@debian.org>  Tue, 20 Jul 2021 10:50:20 +0100
