=== debian/control ===
--- 
+++ 
@@ -1,31 +1,32 @@
 Source: dbus-python
 Section: devel
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Sjoerd Simons <sjoerd@debian.org>,
  Sebastian Dröge <slomo@debian.org>,
  Simon McVittie <smcv@debian.org>,
  Loic Minier <lool@dooz.org>,
 Build-Depends:
- autoconf,
- autoconf-archive,
- automake,
- dbus (>= 1.8),
+ dbus-daemon,
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-python3,
- dpkg-dev (>= 1.16.1),
- libdbus-1-dev (>= 1.8),
- libglib2.0-dev (>= 2.40),
+ libdbus-1-dev,
+ libglib2.0-dev,
+ meson,
+ ninja-build,
  python3-all-dev,
  python3-gi,
+ python3-setuptools,
  python3-tap <!nocheck>,
+ python3-wheel,
 Build-Depends-Indep:
  python3-sphinx,
  python3-sphinx-rtd-theme,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://www.freedesktop.org/wiki/Software/DBusBindings#Python
 Vcs-Git: https://salsa.debian.org/debian/dbus-python.git
 Vcs-Browser: https://salsa.debian.org/debian/dbus-python
@@ -35,7 +36,7 @@
 Section: python
 Architecture: all
 Depends:
- libdbus-1-dev (>= 1.6),
+ libdbus-1-dev,
  ${misc:Depends},
 Description: main loop integration development files for python3-dbus
  D-Bus is a message bus, used for sending messages between applications.
@@ -58,6 +59,7 @@
  ${sphinxdoc:Depends},
 Suggests:
  python3-dbus,
+Multi-Arch: foreign
 Description: Documentation for the D-Bus Python interface
  This package provides text and HTML documentation, and examples, for the
  python3-dbus package.
@@ -88,7 +90,7 @@
 Section: python
 Architecture: any
 Depends:
- dbus,
+ dbus-daemon,
  python3-dbus,
  ${misc:Depends},
  ${python3:Depends},
