=== debian/changelog ===
dbus-python (1.4.0-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:01:13 +0000

dbus-python (1.4.0-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update
  * d/rules: Update the option used to enable/disable documentation
  * d/gbp.conf: Update packaging branch to debian/latest
  * d/clean: Fix FTBFS when built twice in a row by deleting
    debian/tmp-indep (Closes: #1044812)
  * d/salsa-ci.yml: Use recommended recipe URL
  * d/salsa-ci.yml: Don't attempt cross-building.
    The build-dependencies are known not to be satisfiable for this
    particular package right now.
  * d/upstream/metadata: Add Security-Contact field
  * Update lintian overrides
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 13 Mar 2025 18:38:15 +0000
