=== debian/tests/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Tests: python3
 Depends:
- dbus,
+ dbus-daemon,
  gnome-desktop-testing,
  python3-dbus-tests,
  python3-gi,
