=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://dbus.freedesktop.org/releases/dbus-python/dbus-python-@ANY_VERSION@\.tar\.gz
